Package org.snpeff.geneSets.algorithm

# Class FisherPValueGreedyAlgorithm

java.lang.Object
org.snpeff.geneSets.algorithm.EnrichmentAlgorithm
org.snpeff.geneSets.algorithm.EnrichmentAlgorithmGreedy
org.snpeff.geneSets.algorithm.EnrichmentAlgorithmGreedyVariableSize
org.snpeff.geneSets.algorithm.FisherPValueGreedyAlgorithm

Direct Known Subclasses:
  `LeadingEdgeFractionAlgorithm`

public class FisherPValueGreedyAlgorithm extends EnrichmentAlgorithmGreedyVariableSize

## Nested Class Summary

## Nested classes/interfaces inherited from class org.snpeff.geneSets.algorithm.EnrichmentAlgorithm

`EnrichmentAlgorithm.EnrichmentAlgorithmType`

## Field Summary

### Fields inherited from class org.snpeff.geneSets.algorithm.EnrichmentAlgorithmGreedy

`adjustedPvalue, DEFAULT_MAX_PVALUE, maxPvalue, maxPvalueAjusted`

### Fields inherited from class org.snpeff.geneSets.algorithm.EnrichmentAlgorithm

`HTML_BG_COLOR, HTML_BG_COLOR_TITLE, HTML_TD_GENES_MAX_LEN, PRINT_SOMETHING_TIME`

## Constructor Summary

Constructors
Constructor
Description
`FisherPValueGreedyAlgorithm(GeneSets geneSets, int numberToSelect)`

## Method Summary

### Methods inherited from class org.snpeff.geneSets.algorithm.EnrichmentAlgorithmGreedyVariableSize

`greedyPvalue, setInitialSize, setSizeGrowthFactor`

### Methods inherited from class org.snpeff.geneSets.algorithm.EnrichmentAlgorithmGreedy

`greedyPvalue, select, setAdjustedPvalue, setMaxGeneSetSize, setMaxPvalue, setMaxPvalueAjusted, setMinGeneSetSize, setVerbose, stopCriteria`

### Methods inherited from class org.snpeff.geneSets.algorithm.EnrichmentAlgorithm

`getMaxPvalueAdjusted, getOutput, isShow, print, setDebug, setFilterOutputGeneSets, setHtmlTable, setMaxPValue, setMaxPvalueAdjusted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FisherPValueGreedyAlgorithm

public FisherPValueGreedyAlgorithm(GeneSets geneSets, int numberToSelect)